Package org.eclipse.emf.cdo.session

# Class CDORetryExceptionHandler

java.lang.Object
org.eclipse.emf.cdo.session.CDORetryExceptionHandler

All Implemented Interfaces:
  `CDOSession.ExceptionHandler`

public class CDORetryExceptionHandler extends Object implements CDOSession.ExceptionHandler
A `session exection handler` that retries the failed protocol operation a configurable number of times.

Since:
  2.0
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`RETRY_FOREVER`

## Constructor Summary

Constructors
Constructor
Description
`CDORetryExceptionHandler()`
`CDORetryExceptionHandler(int retries)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getRetries()`
`void`
`handleException(CDOSession session, int attempt, Exception exception)`
`boolean`
`isRetryingForever()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### RETRY_FOREVER

public static final int RETRY_FOREVER

See Also:
  - Constant Field Values

## Constructor Details

### CDORetryExceptionHandler

public CDORetryExceptionHandler(int retries)

### CDORetryExceptionHandler

public CDORetryExceptionHandler()

## Method Details

### getRetries

public int getRetries()

### isRetryingForever

public boolean isRetryingForever()

### handleException

public void handleException(CDOSession session, int attempt, Exception exception) throws Exception

Specified by:
  `handleException` in interface `CDOSession.ExceptionHandler`
Throws:
  `Exception`
Since:
  4.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`